Tonyu.klass.define({
  fullName: 'user.Functions',
  shortName: 'Functions',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Functions_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Functions_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      passage_checker :function _trc_Functions_passage_checker(grade) {
        "use strict";
        var _this=this;
        
        switch (grade) {
        case 1:
          _this.kana=_this.file("../static/hiragana.txt");
          break;
          
        case 2:
          _this.kana=_this.file("../static/katakana.txt");
          break;
          
        case 3:
          _this.kana=_this.file("../static/sign.txt");
          break;
          
        default:
          _this.kana=_this.file("../static/grade"+(grade-_this.others)+".txt");
          break;
          
        }
        _this.check=_this.kana.text();
        _this.j=0;for (; _this.j<_this.check.length ; _this.j++) {
          Tonyu.checkLoop();
          {
            if (_this.moji==_this.check.substring(_this.j,_this.j+1)) {
              _this.texts[_this.i][0]=_this.moji;
              if (grade-_this.others<0) {
                _this.texts[_this.i][1]=0;
              } else {
                _this.texts[_this.i][1]=grade-_this.others;
              }
              return _this;
              
            }
          }
        }
        if (grade-_this.others<_this.students) {
          _this.update();
          _this.passage_checker(grade+1);
          
        } else {
          _this.texts[_this.i][0]=_this.moji;
          _this.texts[_this.i][1]="×";
          
        }
      },
      fiber$passage_checker :function _trc_Functions_f_passage_checker(_thread,grade) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Functions_ent_passage_checker(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              switch (grade) {
              case 1:
                __pc=1     ;break;
              case 2:
                __pc=3     ;break;
              case 3:
                __pc=5     ;break;
              default:
                __pc=7     ;break;
                
              }
              break;
            case 1     :
              _this.fiber$file(_thread, "../static/hiragana.txt");
              __pc=2;return;
            case 2:
              _this.kana=_thread.retVal;
              
              __pc=9     ; break;
              
            case 3     :
              _this.fiber$file(_thread, "../static/katakana.txt");
              __pc=4;return;
            case 4:
              _this.kana=_thread.retVal;
              
              __pc=9     ; break;
              
            case 5     :
              _this.fiber$file(_thread, "../static/sign.txt");
              __pc=6;return;
            case 6:
              _this.kana=_thread.retVal;
              
              __pc=9     ; break;
              
            case 7     :
              _this.fiber$file(_thread, "../static/grade"+(grade-_this.others)+".txt");
              __pc=8;return;
            case 8:
              _this.kana=_thread.retVal;
              
              __pc=9     ; break;
              
              case 9     :
              
              _this.check=_this.kana.text();
              _this.j=0;
            case 10:
              if (!(_this.j<_this.check.length)) { __pc=13    ; break; }
              if (!(_this.moji==_this.check.substring(_this.j,_this.j+1))) { __pc=11    ; break; }
              _this.texts[_this.i][0]=_this.moji;
              if (grade-_this.others<0) {
                _this.texts[_this.i][1]=0;
              } else {
                _this.texts[_this.i][1]=grade-_this.others;
              }
              _thread.exit(_this);return;
            case 11    :
              
            case 12    :
              _this.j++;
              __pc=10;break;
            case 13    :
              
              if (!(grade-_this.others<_this.students)) { __pc=16    ; break; }
              _this.fiber$update(_thread);
              __pc=14;return;
            case 14:
              
              _this.fiber$passage_checker(_thread, grade+1);
              __pc=15;return;
            case 15:
              
              __pc=17    ;break;
            case 16    :
              {
                _this.texts[_this.i][0]=_this.moji;
                _this.texts[_this.i][1]="×";
              }
            case 17    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      writing :function _trc_Functions_writing() {
        "use strict";
        var _this=this;
        
        _this.i=0;for (; _this.i<_this.texts.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.ctx.textAlign="center";
            _this.ctx.textBaseline="middle";
            _this.ctx.font=_this.size+"px 'しねきゃぷしょん'";
            _this.ctx.fillStyle="#ffffff";
            _this.vx=_this.size*_this.floor((_this.i%(Tonyu.globals.$screenWidth/_this.size-2)));
            _this.vy=_this.size*3*_this.floor(_this.i/(Tonyu.globals.$screenWidth/_this.size-2));
            _this.ctx.fillStyle="#aaffaa";
            if (_this.texts[_this.i][1]!=0) {
              _this.ctx.fillText(_this.texts[_this.i][1],30+_this.vx,30+_this.vy);
            }
            if (_this.texts[_this.i][1]=="×") {
              _this.ctx.fillStyle="#ffaaaa";
            } else {
              _this.ctx.fillStyle="#ffffff";
            }
            _this.ctx.fillText(_this.texts[_this.i][0],30+_this.vx,60+_this.vy);
          }
        }
      },
      fiber$writing :function _trc_Functions_f_writing(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.i=0;for (; _this.i<_this.texts.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.ctx.textAlign="center";
            _this.ctx.textBaseline="middle";
            _this.ctx.font=_this.size+"px 'しねきゃぷしょん'";
            _this.ctx.fillStyle="#ffffff";
            _this.vx=_this.size*_this.floor((_this.i%(Tonyu.globals.$screenWidth/_this.size-2)));
            _this.vy=_this.size*3*_this.floor(_this.i/(Tonyu.globals.$screenWidth/_this.size-2));
            _this.ctx.fillStyle="#aaffaa";
            if (_this.texts[_this.i][1]!=0) {
              _this.ctx.fillText(_this.texts[_this.i][1],30+_this.vx,30+_this.vy);
            }
            if (_this.texts[_this.i][1]=="×") {
              _this.ctx.fillStyle="#ffaaaa";
            } else {
              _this.ctx.fillStyle="#ffffff";
            }
            _this.ctx.fillText(_this.texts[_this.i][0],30+_this.vx,60+_this.vy);
          }
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"passage_checker":{"nowait":false},"writing":{"nowait":false}},"fields":{"kana":{},"others":{},"check":{},"j":{},"moji":{},"texts":{},"i":{},"students":{},"ctx":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.JS_function',
  shortName: 'JS_function',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_JS_function_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_JS_function_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      scripts :function _trc_JS_function_scripts(Name,tag) {
        "use strict";
        var _this=this;
        
        _this.URL=_this.file("../static/JS/"+Name+".js").dataURL();
        _this.work=document.createElement("script");
        _this.work.setAttribute("src",_this.URL);
        _this.i++;
        document.body.appendChild(_this.work);
      },
      fiber$scripts :function _trc_JS_function_f_scripts(_thread,Name,tag) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.URL=_this.file("../static/JS/"+Name+".js").dataURL();
        _this.work=document.createElement("script");
        _this.work.setAttribute("src",_this.URL);
        _this.i++;
        document.body.appendChild(_this.work);
        
        _thread.retVal=_this;return;
      },
      setAttributes :function _trc_JS_function_setAttributes(obj,data) {
        "use strict";
        var _this=this;
        var i;
        
        i = 0;
        for (; i<data.length ; i++) {
          Tonyu.checkLoop();
          {
            obj.setAttribute(data[i][0],data[i][1]);
          }
        }
      },
      fiber$setAttributes :function _trc_JS_function_f_setAttributes(_thread,obj,data) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        
        i = 0;
        for (; i<data.length ; i++) {
          Tonyu.checkLoop();
          {
            obj.setAttribute(data[i][0],data[i][1]);
          }
        }
        
        _thread.retVal=_this;return;
      },
      getGrade :function _trc_JS_function_getGrade() {
        "use strict";
        var _this=this;
        
        _this.grades=document.querySelectorAll("input");
        _this.i=0;for (; _this.i<_this.grades.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            if (_this.grades[_this.i].checked==true) {
              return _this.i;
            }
          }
        }
      },
      fiber$getGrade :function _trc_JS_function_f_getGrade(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.grades=document.querySelectorAll("input");
        _this.i=0;for (; _this.i<_this.grades.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            if (_this.grades[_this.i].checked==true) {
              _thread.retVal=_this.i;return;
              
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"scripts":{"nowait":false},"setAttributes":{"nowait":false},"getGrade":{"nowait":false}},"fields":{"URL":{},"work":{},"i":{},"grades":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [Tonyu.classes.user.JS_function,Tonyu.classes.user.Functions],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        _this.values=[1,2,3,4,5,6];
        _this.i=0;for (; _this.i<_this.values.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.lbl=document.createElement("label");
            _this.btn=document.createElement("input");
            _this.setAttributes(_this.btn,[["type","radio"],["name","subject"],["value",_this.values[_this.i]]]);
            _this.lbl.innerText=_this.values[_this.i];
            console.log(_this.btn);
            _this.lbl.appendChild(_this.btn);
            document.body.appendChild(_this.lbl);
          }
        }
        _this.grades="";
        _this.txta=document.createElement("textarea");
        _this.setAttributes(_this.txta,[["type","text"],["cols","30"],["rows","6"]]);
        document.body.appendChild(_this.txta);
        document.body.style.overflow="visible";
        _this.sSize=50;
        _this.size=30;
        _this.students=6;
        $('input[value="'+_this.students+'"]').prop('checked',true);
        _this.others=3;
        Tonyu.globals.$Screen.resize(16*_this.sSize,9*_this.sSize);
        Tonyu.globals.$Screen.setBGColor("#000");
        _this.passage="";
        _this.pl=0;
        _this.texts=[];
        _this.ctx=Tonyu.globals.$panel.getContext();
        _this.getGrade();
        while (true) {
          Tonyu.checkLoop();
          _this.key=1;for (; _this.key<7 ; _this.key++) {
            Tonyu.checkLoop();
            {
              if (_this.getkey(""+_this.key)==1) {
                $('input[value="'+_this.key+'"]').prop('checked',true);
              }
            }
          }
          _this.ctx.clearRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
          _this.check_passage();
          _this.students=$('input[name="subject"]:checked').val();
          _this.writing();
          _this.update();
          
        }
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.values=[1,2,3,4,5,6];
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i=0;
            case 1:
              if (!(_this.i<_this.values.length)) { __pc=4     ; break; }
              _this.lbl=document.createElement("label");
              _this.btn=document.createElement("input");
              _this.fiber$setAttributes(_thread, _this.btn, [["type","radio"],["name","subject"],["value",_this.values[_this.i]]]);
              __pc=2;return;
            case 2:
              
              _this.lbl.innerText=_this.values[_this.i];
              console.log(_this.btn);
              _this.lbl.appendChild(_this.btn);
              document.body.appendChild(_this.lbl);
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
              _this.grades="";
              _this.txta=document.createElement("textarea");
              _this.fiber$setAttributes(_thread, _this.txta, [["type","text"],["cols","30"],["rows","6"]]);
              __pc=5;return;
            case 5:
              
              document.body.appendChild(_this.txta);
              document.body.style.overflow="visible";
              _this.sSize=50;
              _this.size=30;
              _this.students=6;
              $('input[value="'+_this.students+'"]').prop('checked',true);
              _this.others=3;
              Tonyu.globals.$Screen.resize(16*_this.sSize,9*_this.sSize);
              Tonyu.globals.$Screen.setBGColor("#000");
              _this.passage="";
              _this.pl=0;
              _this.texts=[];
              _this.ctx=Tonyu.globals.$panel.getContext();
              _this.fiber$getGrade(_thread);
              __pc=6;return;
            case 6:
              
            case 7:
              _this.key=1;for (; _this.key<7 ; _this.key++) {
                Tonyu.checkLoop();
                {
                  if (_this.getkey(""+_this.key)==1) {
                    $('input[value="'+_this.key+'"]').prop('checked',true);
                  }
                }
              }
              _this.ctx.clearRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
              _this.fiber$check_passage(_thread);
              __pc=8;return;
            case 8:
              
              _this.students=$('input[name="subject"]:checked').val();
              _this.fiber$writing(_thread);
              __pc=9;return;
            case 9:
              
              _this.fiber$update(_thread);
              __pc=10;return;
            case 10:
              
              __pc=7;break;
            case 11    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      check_passage :function _trc_Main_check_passage() {
        "use strict";
        var _this=this;
        
        _this.vPassage=_this.txta.value;
        _this.passage=_this.vPassage.replace(/[\n\r]/g,"");
        if (_this.passage==_this.pre_passage&&_this.pre_students==_this.students) {
          return _this;
        } else {
          _this.pre_passage=_this.passage;
          _this.pre_students=_this.students;
          
        }
        _this.texts=[];
        _this.i=0;for (; _this.i<_this.passage.length ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.moji=_this.passage.substring(_this.i,_this.i+1);
            _this.texts[_this.i]=new Array(2);
            _this.passage_checker(1);
          }
        }
      },
      fiber$check_passage :function _trc_Main_f_check_passage(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.vPassage=_this.txta.value;
        _this.passage=_this.vPassage.replace(/[\n\r]/g,"");
        if (_this.passage==_this.pre_passage&&_this.pre_students==_this.students) {
          _thread.retVal=_this;return;
          
        } else {
          _this.pre_passage=_this.passage;
          _this.pre_students=_this.students;
          
        }
        _this.texts=[];
        
        _thread.enter(function _trc_Main_ent_check_passage(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i=0;
            case 1:
              if (!(_this.i<_this.passage.length)) { __pc=4     ; break; }
              _this.moji=_this.passage.substring(_this.i,_this.i+1);
              _this.texts[_this.i]=new Array(2);
              _this.fiber$passage_checker(_thread, 1);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"check_passage":{"nowait":false}},"fields":{"values":{},"lbl":{},"btn":{},"txta":{},"sSize":{},"passage":{},"pl":{},"key":{},"vPassage":{},"pre_passage":{},"pre_students":{}}}
});

//# sourceMappingURL=concat.js.map